Bug 9328 - File::Find::Rule should not be a mandatory dependency for installation
Summary: File::Find::Rule should not be a mandatory dependency for installation
Status: CLOSED INVALID
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Keywords:
Depends on: 7167
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-27 18:32 UTC by Galen Charlton
Modified: 2015-06-04 23:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9328, 7167: Remove the File::Find::Rule dependency (1.80 KB, patch)
2012-12-28 13:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9328, 7167: Remove the File::Find::Rule dependency (2.28 KB, patch)
2013-03-14 10:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9328, 7167: Remove the File::Find::Rule dependency (1.85 KB, patch)
2013-04-26 13:59 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Galen Charlton 2012-12-27 18:32:39 UTC
File::Find::Rule is introduced as a dependency in the work for bug 7167.  However, since it's indirectly invoked via C4::Installer, that module must be present for Makefile.PL to compile during installation.

I suggest making a new convention that it be possible to run Makefile.PL without requiring non-core Perl modules. 

F::F::Rule doesn't introduce functionality that is not available to File::Find, just some (admittedly useful) syntactical sugar, so one possibility would be cutting out that dependency entirely.  If that's not preferred, it at least should not be required for Makefile.PL to run.
Comment 1 Jonathan Druart 2012-12-28 13:25:39 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2012-12-28 13:26:25 UTC
To apply on top of patches for Bug 7167
Comment 3 Jonathan Druart 2013-03-14 10:31:59 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2013-04-26 13:59:30 UTC
Created attachment 17715 [details] [review]
Bug 9328, 7167: Remove the File::Find::Rule dependency

F::F::Rule doesn't introduce functionality that is not
available to File::Find, just some (admittedly useful) syntactical
sugar.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Marcel de Rooy 2013-06-10 07:01:56 UTC
The status of 7167 is not clear to me. That makes testing this patch even harder.. What I read here, sounds good to me.
Comment 6 Katrin Fischer 2013-07-12 22:57:37 UTC
This patch does no longer apply:

Apply? [y]es/[n]o/[e]dit/[v]iew patch/[a]ccept all y
Applying: Bug 9328, 7167: Remove the File::Find::Rule dependency
fatal: sha1 information is lacking or useless (C4/Update/Database.pm).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 9328, 7167: Remove the File::Find::Rule dependency
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".
Comment 7 Jonathan Druart 2013-07-15 08:12:58 UTC
(In reply to Katrin Fischer from comment #6)
> This patch does no longer apply:

This patch depends on bug 7167.
Back to Signed Off.
Comment 8 Katrin Fischer 2013-09-08 20:31:18 UTC
I am not sure how to proceed with this as I think it currently can't be tested. I am moving it to 'BLOCKED' for now.
Comment 9 Jonathan Druart 2013-09-09 08:06:43 UTC
(In reply to Katrin Fischer from comment #8)
> I am not sure how to proceed with this as I think it currently can't be
> tested. I am moving it to 'BLOCKED' for now.

I know bug 7167 is not a priority for Galen but this path can be tested. Especially because it is a small and easy patch.